public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-devel/binutils-hppa64/
Date: Wed, 05 Feb 2025 21:28:03 +0000 (UTC)	[thread overview]
Message-ID: <1738790804.73b08f1f1ce21e57f2ddecf1e14d51bde4cf1cc8.sam@gentoo> (raw)

commit:     73b08f1f1ce21e57f2ddecf1e14d51bde4cf1cc8
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Feb  5 21:26:44 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Feb  5 21:26:44 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=73b08f1f

sys-devel/binutils-hppa64: add 9999

Having a live ebuild for a template is pretty useful and the ebuild
is already wired up for it. Plus, testing on occasion.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../binutils-hppa64/binutils-hppa64-9999.ebuild    | 577 +++++++++++++++++++++
 1 file changed, 577 insertions(+)

diff --git a/sys-devel/binutils-hppa64/binutils-hppa64-9999.ebuild b/sys-devel/binutils-hppa64/binutils-hppa64-9999.ebuild
new file mode 100644
index 000000000000..4a104db1825c
--- /dev/null
+++ b/sys-devel/binutils-hppa64/binutils-hppa64-9999.ebuild
@@ -0,0 +1,577 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+export CTARGET=hppa64-${CHOST#*-}
+
+inherit libtool flag-o-matic gnuconfig strip-linguas toolchain-funcs
+
+DESCRIPTION="Tools necessary to build programs"
+HOMEPAGE="https://sourceware.org/binutils/"
+
+LICENSE="GPL-3+"
+IUSE="cet debuginfod doc gprofng hardened multitarget +nls pgo +plugins static-libs test vanilla xxhash zstd"
+
+# Variables that can be set here  (ignored for live ebuilds)
+# PATCH_VER          - the patchset version
+#                      Default: empty, no patching
+# PATCH_BINUTILS_VER - the binutils version in the patchset name
+#                    - Default: PV
+# PATCH_DEV          - Use download URI https://dev.gentoo.org/~{PATCH_DEV}/distfiles/...
+#                      for the patchsets
+
+PATCH_VER=1
+PATCH_DEV=dilfridge
+
+if [[ ${PV} == 9999 ]]; then
+	inherit git-r3
+	SLOT=${PV}
+elif [[ ${PV} == *9999 ]]; then
+	inherit git-r3
+	SLOT=$(ver_cut 1-2)
+else
+	PATCH_BINUTILS_VER=${PATCH_BINUTILS_VER:-${PV}}
+	PATCH_DEV=${PATCH_DEV:-dilfridge}
+	SRC_URI="mirror://gnu/binutils/binutils-${PV}.tar.xz https://sourceware.org/pub/binutils/releases/binutils-${PV}.tar.xz https://dev.gentoo.org/~${PATCH_DEV}/distfiles/binutils-${PV}.tar.xz"
+	[[ -z ${PATCH_VER} ]] || SRC_URI="${SRC_URI}
+		https://dev.gentoo.org/~${PATCH_DEV}/distfiles/binutils-${PATCH_BINUTILS_VER}-patches-${PATCH_VER}.tar.xz"
+	SLOT=$(ver_cut 1-2)
+	#KEYWORDS="-* ~hppa"
+fi
+
+#
+# The cross-compile logic
+#
+export CTARGET=${CTARGET:-${CHOST}}
+if [[ ${CTARGET} == ${CHOST} ]] ; then
+	if [[ ${CATEGORY} == cross-* ]] ; then
+		export CTARGET=${CATEGORY#cross-}
+	fi
+fi
+is_cross() { [[ ${CHOST} != ${CTARGET} ]] ; }
+
+#
+# The dependencies
+#
+RDEPEND="
+	>=sys-devel/binutils-config-3
+	sys-libs/zlib
+	debuginfod? (
+		dev-libs/elfutils[debuginfod(-)]
+	)
+	zstd? ( app-arch/zstd:= )
+"
+DEPEND="
+	${RDEPEND}
+	xxhash? ( dev-libs/xxhash )
+"
+BDEPEND="
+	doc? ( sys-apps/texinfo )
+	pgo? (
+		dev-util/dejagnu
+		app-alternatives/bc
+	)
+	test? (
+		dev-util/dejagnu
+		app-alternatives/bc
+	)
+	nls? ( sys-devel/gettext )
+	zstd? ( virtual/pkgconfig )
+	app-alternatives/lex
+	app-alternatives/yacc
+"
+
+RESTRICT="!test? ( test )"
+
+MY_BUILDDIR="${WORKDIR}"/build
+S="${WORKDIR}"/${P/-hppa64/}
+
+src_unpack() {
+	if [[ ${PV} == *9999 ]] ; then
+		EGIT_REPO_URI="
+			https://anongit.gentoo.org/git/proj/toolchain/binutils-patches.git
+			https://github.com/gentoo/binutils-patches
+		"
+		EGIT_CHECKOUT_DIR=${WORKDIR}/patches-git
+		git-r3_src_unpack
+		mv patches-git/9999 patch || die
+
+		if [[ ${PV} != 9999 ]] ; then
+			EGIT_BRANCH=binutils-$(ver_cut 1)_$(ver_cut 2)-branch
+		fi
+		EGIT_REPO_URI="
+			https://sourceware.org/git/binutils-gdb.git
+			https://git.sr.ht/~sourceware/binutils-gdb
+			https://gitlab.com/x86-binutils/binutils-gdb.git
+		"
+		S=${WORKDIR}/binutils
+		EGIT_CHECKOUT_DIR=${S}
+		git-r3_src_unpack
+	else
+		unpack ${P/-hppa64/}.tar.xz
+
+		cd "${WORKDIR}" || die
+		unpack binutils-${PATCH_BINUTILS_VER}-patches-${PATCH_VER}.tar.xz
+
+		# _p patch versions are Gentoo specific tarballs ...
+		local dir=${P%_p?}
+		dir=${dir/-hppa64/}
+
+		S=${WORKDIR}/${dir}
+	fi
+
+	cd "${WORKDIR}" || die
+	mkdir -p "${MY_BUILDDIR}" || die
+}
+
+src_prepare() {
+	local patchsetname
+	if [[ ${PV} == 9999 ]] ; then
+		patchsetname="from git master"
+	elif [[ ${PV} == *9999 ]] ; then
+		patchsetname="from git branch ${EGIT_BRANCH}"
+	else
+		patchsetname="${PATCH_BINUTILS_VER}-${PATCH_VER}"
+	fi
+
+	if [[ -n ${PATCH_VER} ]] || [[ ${PV} == *9999 ]] ; then
+		if ! use vanilla; then
+			einfo "Applying binutils patchset ${patchsetname}"
+			eapply "${WORKDIR}/patch"
+			einfo "Done."
+
+			# This is applied conditionally for now just out of caution.
+			# It should be okay on non-prefix systems though. See bug #892549.
+			if [[ ${PN} != binutils-hppa64 ]] && { is_cross || use prefix; } ; then
+				eapply "${FILESDIR}"/binutils-2.43-linker-search-path.patch \
+					   "${FILESDIR}"/binutils-2.43-linker-prefix.patch
+			fi
+		fi
+	fi
+
+	# Make sure our explicit libdir paths don't get clobbered, bug #562460
+	sed -i \
+		-e 's:@bfdlibdir@:@libdir@:g' \
+		-e 's:@bfdincludedir@:@includedir@:g' \
+		{bfd,opcodes}/Makefile.in || die
+
+	# Apply things from PATCHES and user dirs
+	default
+
+	# Run misc portage update scripts
+	gnuconfig_update
+	elibtoolize --portage --no-uclibc
+}
+
+toolchain-binutils_bugurl() {
+	printf "https://bugs.gentoo.org/"
+}
+toolchain-binutils_pkgversion() {
+	printf "Gentoo ${PV}"
+	[[ -n ${PATCH_VER} ]] && printf " p${PATCH_VER}"
+}
+
+src_configure() {
+	# See https://www.gnu.org/software/make/manual/html_node/Parallel-Output.html
+	# Avoid really confusing logs from subconfigure spam, makes logs far
+	# more legible.
+	MAKEOPTS="--output-sync=line ${MAKEOPTS}"
+
+	# Setup some paths
+	LIBPATH=/usr/$(get_libdir)/binutils/${CTARGET}/${PV}
+	INCPATH=${LIBPATH}/include
+	DATAPATH=/usr/share/binutils-data/${CTARGET}/${PV}
+	if is_cross ; then
+		TOOLPATH=/usr/${CHOST}/${CTARGET}
+	else
+		TOOLPATH=/usr/${CTARGET}
+	fi
+	BINPATH=${TOOLPATH}/binutils-bin/${PV}
+
+	# Make sure we filter $LINGUAS so that only ones that
+	# actually work make it through, bug #42033
+	strip-linguas -u */po
+
+	# Keep things sane
+	strip-flags
+	use cet && filter-flags -mindirect-branch -mindirect-branch=*
+	use elibc_musl && append-ldflags -Wl,-z,stack-size=2097152
+
+	local x
+	echo
+	for x in CATEGORY CBUILD CHOST CTARGET CFLAGS LDFLAGS ; do
+		einfo "$(printf '%10s' ${x}:) ${!x}"
+	done
+	echo
+
+	cd "${MY_BUILDDIR}" || die
+	local myconf=()
+
+	if use plugins ; then
+		myconf+=( --enable-plugins )
+	fi
+
+	if use nls ; then
+		myconf+=( --without-included-gettext )
+	else
+		myconf+=( --disable-nls )
+	fi
+
+	myconf+=( --with-system-zlib )
+
+	# For bi-arch systems, enable a 64bit bfd. This matches the bi-arch
+	# logic in toolchain.eclass. bug #446946
+	#
+	# We used to do it for everyone, but it's slow on 32bit arches. bug #438522
+	case $(tc-arch) in
+		ppc|sparc|x86) myconf+=( --enable-64-bit-bfd ) ;;
+	esac
+
+	use multitarget && myconf+=( --enable-targets=all --enable-64-bit-bfd )
+
+	[[ -n ${CBUILD} ]] && myconf+=( --build=${CBUILD} )
+
+	is_cross && myconf+=(
+		--with-sysroot="${EPREFIX}"/usr/${CTARGET}
+		--enable-poison-system-directories
+	)
+
+	myconf+=( --enable-secureplt )
+
+	# mips can't do hash-style=gnu ...
+	if [[ $(tc-arch) != mips ]] ; then
+		myconf+=( --enable-default-hash-style=gnu )
+	fi
+
+	myconf+=(
+		--prefix="${EPREFIX}"/usr
+		--host=${CHOST}
+		--target=${CTARGET}
+		--datadir="${EPREFIX}"${DATAPATH}
+		--datarootdir="${EPREFIX}"${DATAPATH}
+		--infodir="${EPREFIX}"${DATAPATH}/info
+		--mandir="${EPREFIX}"${DATAPATH}/man
+		--bindir="${EPREFIX}"${BINPATH}
+		--libdir="${EPREFIX}"${LIBPATH}
+		--libexecdir="${EPREFIX}"${LIBPATH}
+		--includedir="${EPREFIX}"${INCPATH}
+		# portage's econf() does not detect presence of --d-d-t
+		# because it greps only top-level ./configure. But not
+		# libiberty's or bfd's configure.
+		--disable-dependency-tracking
+		--disable-silent-rules
+		--enable-obsolete
+		--enable-shared
+		--enable-threads
+		--enable-relro
+		--enable-install-libiberty
+		--enable-textrel-check=$(usex hardened error warning)
+		# Things to think about
+		#--enable-deterministic-archives
+		--enable-new-dtags
+		--disable-jansson
+		--disable-werror
+		--with-bugurl="$(toolchain-binutils_bugurl)"
+		--with-pkgversion="$(toolchain-binutils_pkgversion)"
+		$(use_enable static-libs static)
+		$(use_with xxhash)
+		$(use_with zstd)
+
+		# Disable modules that are in a combined binutils/gdb tree, bug #490566
+		--disable-{gdb,gdbserver,libbacktrace,libdecnumber,readline,sim}
+		# Strip out broken static link flags: https://gcc.gnu.org/PR56750
+		--without-stage1-ldflags
+		# Change SONAME to avoid conflict across {native,cross}/binutils, binutils-libs. bug #666100
+		--with-extra-soversion-suffix=gentoo-${CATEGORY}-${PN}-$(usex multitarget mt st)
+
+		$(use_with debuginfod)
+
+		# Avoid automagic dev-libs/msgpack dep, bug #865875
+		--without-msgpack
+
+		# Allow user to opt into CET for host libraries.
+		# Ideally we would like automagic-or-disabled here.
+		# But the check does not quite work on i686: bug #760926.
+		$(use_enable cet)
+
+		# We can enable this by default in future, but it's brand new
+		# in 2.39 with several bugs:
+		# - Doesn't build on musl (https://sourceware.org/bugzilla/show_bug.cgi?id=29477)
+		# - No man pages (https://sourceware.org/bugzilla/show_bug.cgi?id=29521)
+		# - Broken at runtime without Java (https://sourceware.org/bugzilla/show_bug.cgi?id=29479)
+		# - binutils-config (and this ebuild?) needs adaptation first (https://bugs.gentoo.org/865113)
+		$(use_enable gprofng)
+
+		# Enables colored disassembly by default (equivalent to passing
+		# --disassembler-color=terminal to all objdump invocations).
+		--enable-colored-disassembly
+	)
+
+	case ${CTARGET} in
+		x86_64-*|aarch64*|arm64*|i[3456]*)
+			# These hardening options are available from 2.39+ but
+			# they unconditionally enable the behaviour even on arches
+			# where e.g. execstacks can't be avoided.
+			# See https://sourceware.org/bugzilla/show_bug.cgi?id=29592.
+			#
+			# TODO: Get the logic for this fixed upstream so it doesn't
+			# create impossible broken combinations on some arches, like mips.
+			#
+			# TODO: Get the logic for this fixed upstream so --disable-* works
+			# as expected.
+			myconf+=(
+				--enable-warn-execstack=yes
+				--enable-warn-rwx-segments=yes
+			)
+
+			if use hardened ; then
+				myconf+=(
+					# TOOD: breaks glibc test suite
+					#--enable-error-execstack=yes
+					#--enable-error-rwx-segments=yes
+					--enable-default-execstack=no
+				)
+			fi
+			;;
+		*)
+			;;
+	esac
+
+	if use elibc_musl ; then
+		# Override our earlier setting for musl, as textrels don't
+		# work there at all. See bug #707660.
+		myconf+=(
+			--enable-textrel-check=error
+		)
+	fi
+
+	if use test || { use pgo && tc-is-lto ; } ; then
+		# -Wa,* needs to be consistent everywhere or lto-wrapper will complain
+		filter-flags '-Wa,*'
+	fi
+
+	if ! is_cross ; then
+		# No LTO for HPPA64 right now as we don't build kgcc64 with LTO support.
+		myconf+=( $(use_enable pgo pgo-build) )
+
+		if use pgo ; then
+			# We let configure handle it for us because it has to run
+			# the testsuite later on for profiling, and LTO isn't compatible
+			# with the testsuite.
+			filter-lto
+
+			export BUILD_CFLAGS="${CFLAGS}"
+		fi
+	fi
+
+	ECONF_SOURCE="${S}" econf "${myconf[@]}"
+
+	# Prevent makeinfo from running if doc is unset.
+	if ! use doc ; then
+		sed -i \
+			-e '/^MAKEINFO/s:=.*:= true:' \
+			Makefile || die
+	fi
+}
+
+src_compile() {
+	cd "${MY_BUILDDIR}" || die
+
+	# see Note [tooldir hack for ldscripts]
+	# see linker prefix patch
+	emake \
+		tooldir="${EPREFIX}${TOOLPATH}" \
+		gentoo_prefix=$(usex prefix-guest "${EPREFIX}"/usr /usr) \
+		all
+
+	# only build info pages if the user wants them
+	if use doc ; then
+		emake info
+	fi
+
+	# we nuke the manpages when we're left with junk
+	# (like when we bootstrap, no perl -> no manpages)
+	find . -name '*.1' -a -size 0 -delete
+}
+
+src_test() {
+	cd "${MY_BUILDDIR}" || die
+
+	(
+		# Tests don't expect LTO
+		filter-lto
+
+		# lto-wrapper warnings which confuse tests
+		filter-flags '-Wa,*'
+
+		# bug #637066
+		filter-flags -Wall -Wreturn-type
+
+		emake -k check \
+			CFLAGS_FOR_TARGET="${CFLAGS_FOR_TARGET:-${CFLAGS}}" \
+			CXXFLAGS_FOR_TARGET="${CXXFLAGS_FOR_TARGET:-${CXXFLAGS}}" \
+			LDFLAGS_FOR_TARGET="${LDFLAGS_FOR_TARGET:-${LDFLAGS}}" \
+			CFLAGS="${CFLAGS}" \
+			CXXFLAGS="${CXXFLAGS}" \
+			LDFLAGS="${LDFLAGS}"
+	)
+}
+
+src_install() {
+	local x d
+
+	cd "${MY_BUILDDIR}" || die
+
+	# see Note [tooldir hack for ldscripts]
+	emake DESTDIR="${D}" tooldir="${EPREFIX}${LIBPATH}" install
+	rm -rf "${ED}"/${LIBPATH}/bin || die
+	use static-libs || find "${ED}" -name '*.la' -delete
+
+	# Newer versions of binutils get fancy with ${LIBPATH}, bug #171905
+	cd "${ED}"/${LIBPATH} || die
+	for d in ../* ; do
+		[[ ${d} == ../${PV} ]] && continue
+		mv ${d}/* . || die
+		rmdir ${d} || die
+	done
+
+	# Now we collect everything intp the proper SLOT-ed dirs
+	# When something is built to cross-compile, it installs into
+	# /usr/$CHOST/ by default ... we have to 'fix' that :)
+	if is_cross ; then
+		cd "${ED}"/${BINPATH} || die
+		for x in * ; do
+			mv ${x} ${x/${CTARGET}-} || die
+		done
+
+		if [[ -d ${ED}/usr/${CHOST}/${CTARGET} ]] ; then
+			mv "${ED}"/usr/${CHOST}/${CTARGET}/include "${ED}"/${INCPATH}
+			mv "${ED}"/usr/${CHOST}/${CTARGET}/lib/* "${ED}"/${LIBPATH}/
+			rm -r "${ED}"/usr/${CHOST}/{include,lib}
+		fi
+	fi
+
+	insinto ${INCPATH}
+	local libiberty_headers=(
+		# Not all the libiberty headers.  See libiberty/Makefile.in:install_to_libdir.
+		demangle.h
+		dyn-string.h
+		fibheap.h
+		hashtab.h
+		libiberty.h
+		objalloc.h
+		splay-tree.h
+	)
+	doins "${libiberty_headers[@]/#/${S}/include/}"
+	if [[ -d ${ED}/${LIBPATH}/lib ]] ; then
+		mv "${ED}"/${LIBPATH}/lib/* "${ED}"/${LIBPATH}/ || die
+		rm -r "${ED}"/${LIBPATH}/lib || die
+	fi
+
+	# Generate an env.d entry for this binutils
+	insinto /etc/env.d/binutils
+	cat <<-EOF > "${T}"/env.d
+		TARGET="${CTARGET}"
+		VER="${PV}"
+		LIBPATH="${EPREFIX}${LIBPATH}"
+	EOF
+	newins "${T}"/env.d ${CTARGET}-${PV}
+
+	# Handle documentation
+	if ! is_cross ; then
+		cd "${S}" || die
+		dodoc README
+
+		docinto bfd
+		dodoc bfd/ChangeLog* bfd/README bfd/PORTING bfd/TODO
+
+		docinto binutils
+		dodoc binutils/ChangeLog binutils/NEWS binutils/README
+
+		docinto gas
+		dodoc gas/ChangeLog* gas/CONTRIBUTORS gas/NEWS gas/README*
+
+		docinto gprof
+		dodoc gprof/ChangeLog* gprof/TEST gprof/TODO gprof/bbconv.pl
+
+		docinto ld
+		dodoc ld/ChangeLog* ld/README ld/NEWS ld/TODO
+
+		docinto libiberty
+		dodoc libiberty/ChangeLog* libiberty/README
+
+		docinto opcodes
+		dodoc opcodes/ChangeLog*
+	fi
+
+	# Remove shared info pages
+	rm -f "${ED}"/${DATAPATH}/info/{dir,configure.info,standards.info}
+
+	docompress "${DATAPATH}"/{info,man}
+
+	# Trim all empty dirs
+	find "${ED}" -depth -type d -exec rmdir {} + 2>/dev/null
+
+	# the hppa64 hack; this should go into 9999 as a PN-conditional
+	# tweak the default fake list a little bit
+	cd "${D}"/etc/env.d/binutils
+	sed -i '/FAKE_TARGETS=/s:"$: hppa64-linux":' ${CTARGET}-${PV} || die
+}
+
+pkg_postinst() {
+	# Make sure this ${CTARGET} has a binutils version selected
+	[[ -e ${EROOT}/etc/env.d/binutils/config-${CTARGET} ]] && return 0
+	binutils-config ${CTARGET}-${PV} || eerror binutils-config returned an error
+}
+
+pkg_postrm() {
+	local current_profile=$(binutils-config -c ${CTARGET})
+
+	# If no other versions exist, then uninstall for this
+	# target ... otherwise, switch to the newest version
+	# Note: only do this if this version is unmerged.  We
+	#       rerun binutils-config if this is a remerge, as
+	#       we want the mtimes on the symlinks updated (if
+	#       it is the same as the current selected profile)
+	if [[ ! -e ${EPREFIX}${BINPATH}/ld ]] && [[ ${current_profile} == ${CTARGET}-${PV} ]] ; then
+		local choice=$(binutils-config -l | grep ${CTARGET} | awk '{print $2}')
+		choice=${choice//$'\n'/ }
+		choice=${choice/* }
+		if [[ -z ${choice} ]] ; then
+			binutils-config -u ${CTARGET} || eerror binutils-config returned an error
+		else
+			binutils-config ${choice} || eerror binutils-config returned an error
+		fi
+	elif [[ $(CHOST=${CTARGET} binutils-config -c) == ${CTARGET}-${PV} ]] ; then
+		binutils-config ${CTARGET}-${PV} || eerror binutils-config returned an error
+	fi
+}
+
+# Note [slotting support]
+# -----------------------
+# Gentoo's layout for binutils files is non-standard as Gentoo
+# supports slotted installation for binutils. Many tools
+# still expect binutils to reside in known locations.
+# binutils-config package restores symlinks into known locations,
+# like:
+#    /usr/bin/${CTARGET}-<tool>
+#    /usr/bin/${CHOST}/${CTARGET}/lib/ldscrips
+#    /usr/include/
+#
+# Note [tooldir hack for ldscripts]
+# ---------------------------------
+# Build system does not allow ./configure to tweak every location
+# we need for slotting binutils hence all the shuffling in
+# src_install(). This note is about SCRIPTDIR define handling.
+#
+# SCRIPTDIR defines 'ldscripts/' directory location. SCRIPTDIR value
+# is set at build-time in ld/Makefile.am as: 'scriptdir = $(tooldir)/lib'
+# and hardcoded as -DSCRIPTDIR='"$(scriptdir)"' at compile time.
+# Thus we can't just move files around after compilation finished.
+#
+# Our goal is the following:
+# - at build-time set scriptdir to point to symlinked location:
+#   ${TOOLPATH}: /usr/${CHOST} (or /usr/${CHOST}/${CTARGET} for cross-case)
+# - at install-time set scriptdir to point to slotted location:
+#   ${LIBPATH}: /usr/$(get_libdir)/binutils/${CTARGET}/${PV}


             reply	other threads:[~2025-02-05 21:28 UTC|newest]

Thread overview: 181+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-02-05 21:28 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-09  3:07 [gentoo-commits] repo/gentoo:master commit in: sys-devel/binutils-hppa64/ Sam James
2025-02-10  6:43 Sam James
2025-02-06 11:32 Andreas K. Hüttel
2025-02-06 11:32 Andreas K. Hüttel
2025-02-05 21:28 Sam James
2025-02-05 12:45 Andreas K. Hüttel
2025-02-05 12:26 Andreas K. Hüttel
2024-12-06 20:28 Sam James
2024-11-09 17:35 Andreas K. Hüttel
2024-11-09 17:35 Andreas K. Hüttel
2024-11-02  2:39 Sam James
2024-08-22 20:23 Andreas K. Hüttel
2024-08-05 10:26 Andreas K. Hüttel
2024-08-05  7:28 Andreas K. Hüttel
2024-06-29 23:09 Andreas K. Hüttel
2024-06-28 18:05 Sam James
2024-04-26 11:49 Andreas K. Hüttel
2024-03-23 16:02 Sam James
2024-03-08 19:59 Sam James
2024-03-08 19:54 Sam James
2024-02-18 14:33 Andreas K. Hüttel
2024-02-18 14:33 Andreas K. Hüttel
2024-02-16  0:22 Andreas K. Hüttel
2024-01-24 10:02 Andreas K. Hüttel
2024-01-08 12:03 Sam James
2024-01-08  9:48 Sam James
2024-01-07  8:28 Sam James
2024-01-07  8:27 Sam James
2023-12-17 12:20 Andreas K. Hüttel
2023-08-20 20:51 Andreas K. Hüttel
2023-08-08 16:31 Sam James
2023-08-08  5:22 Sam James
2023-08-08  2:23 Sam James
2023-08-04 11:06 Andreas K. Hüttel
2023-08-04  1:53 Sam James
2023-08-04  1:53 Sam James
2023-08-02 22:48 Andreas K. Hüttel
2023-07-30 10:26 Andreas K. Hüttel
2023-06-26 22:50 Andreas K. Hüttel
2023-05-06 12:20 Andreas K. Hüttel
2023-05-05 17:23 Andreas K. Hüttel
2023-04-29 15:44 Arthur Zamarin
2023-04-02 20:07 Andreas K. Hüttel
2023-04-02 16:52 Andreas K. Hüttel
2023-03-09  4:03 Andreas K. Hüttel
2023-02-22 22:26 Sam James
2023-02-09 10:45 Andreas K. Hüttel
2023-01-15  0:10 Andreas K. Hüttel
2022-12-31 15:40 Arthur Zamarin
2022-12-25 22:26 Ulrich Müller
2022-12-02 20:37 Andreas K. Hüttel
2022-11-20 16:14 Andreas K. Hüttel
2022-10-09 11:53 Andreas K. Hüttel
2022-10-04  3:09 Sam James
2022-09-16 20:29 Andreas K. Hüttel
2022-09-04  8:14 Andreas K. Hüttel
2022-08-27 18:07 Arthur Zamarin
2022-05-30  6:30 Sam James
2022-05-26  5:48 Sam James
2022-04-25  3:35 Sam James
2022-04-25  3:20 Sam James
2022-04-25  3:09 Sam James
2022-04-19 22:52 Sam James
2022-04-16 18:09 Andreas K. Hüttel
2022-03-19  9:49 Andreas K. Hüttel
2022-03-18 23:54 Andreas K. Hüttel
2022-03-18 23:54 Andreas K. Hüttel
2022-03-18 22:38 Andreas K. Hüttel
2022-03-18  6:43 Sam James
2022-02-10 13:11 Andreas K. Hüttel
2022-01-25 22:34 Andreas K. Hüttel
2022-01-24 14:30 Sam James
2022-01-22  3:06 Sam James
2022-01-01 20:08 David Seifert
2021-11-14 22:20 Andreas K. Hüttel
2021-09-21 17:44 Sam James
2021-09-18  4:51 Sam James
2021-09-15 22:40 Sam James
2021-08-20 15:02 Andreas K. Hüttel
2021-08-20 15:02 Andreas K. Hüttel
2021-08-17 21:42 Andreas K. Hüttel
2021-08-13 21:40 Andreas K. Hüttel
2021-07-31 10:03 Andreas K. Hüttel
2021-07-25 11:16 Andreas K. Hüttel
2021-07-24 22:54 Andreas K. Hüttel
2021-07-24 21:15 Andreas K. Hüttel
2021-07-20 21:52 Andreas K. Hüttel
2021-07-17 11:22 Sergei Trofimovich
2021-04-20 18:39 Andreas K. Hüttel
2021-04-20 17:06 Andreas K. Hüttel
2021-04-18  9:48 Andreas K. Hüttel
2021-04-18  9:48 Andreas K. Hüttel
2021-04-11 18:41 Sergei Trofimovich
2021-02-11 20:22 Sergei Trofimovich
2021-02-09 21:46 Andreas K. Hüttel
2021-02-09 21:46 Andreas K. Hüttel
2021-02-08 22:17 Andreas K. Hüttel
2021-02-08 21:21 Andreas K. Hüttel
2021-01-28 17:38 Sergei Trofimovich
2021-01-24 15:34 Andreas K. Hüttel
2021-01-23 19:28 Andreas K. Hüttel
2021-01-03 13:23 Sergei Trofimovich
2020-11-16 16:49 Andreas K. Hüttel
2020-11-03 22:47 Sergei Trofimovich
2020-10-30 21:45 Andreas K. Hüttel
2020-09-25 14:20 Andreas K. Hüttel
2020-09-25 14:20 Andreas K. Hüttel
2020-09-23  9:10 Andreas K. Hüttel
2020-09-17 20:08 Andreas K. Hüttel
2020-07-31 16:06 Andreas K. Hüttel
2020-07-25 17:57 Andreas K. Hüttel
2020-07-25 17:57 Andreas K. Hüttel
2020-05-19 19:57 Andreas K. Hüttel
2020-04-01 11:12 Jeroen Roovers
2020-03-10  0:05 Sergei Trofimovich
2020-03-09  7:56 Sergei Trofimovich
2020-02-13 21:40 David Seifert
2020-02-01 22:00 Sergei Trofimovich
2020-01-24 15:51 Sergei Trofimovich
2019-11-09 13:54 Sergei Trofimovich
2019-11-09 13:02 Sergei Trofimovich
2019-08-09 21:09 Andreas K. Hüttel
2019-07-22 21:24 Sergei Trofimovich
2019-06-23 16:40 Sergei Trofimovich
2019-06-06 14:27 Andreas K. Hüttel
2019-05-15  6:36 Sergei Trofimovich
2019-05-14  8:08 Sergei Trofimovich
2019-04-29 10:10 Jeroen Roovers
2019-04-26 12:45 Andreas K. Hüttel
2019-04-25 18:44 Andreas K. Hüttel
2019-04-24 21:02 Andreas K. Hüttel
2019-04-19 12:20 Andreas K. Hüttel
2019-04-18 21:38 Andreas K. Hüttel
2019-04-09 14:09 Andreas K. Hüttel
2019-04-06 14:35 Andreas K. Hüttel
2019-03-26 21:32 Andreas K. Hüttel
2019-02-17 21:21 Jeroen Roovers
2019-02-16 12:28 Sergei Trofimovich
2018-12-28 23:13 Andreas K. Hüttel
2018-12-28 23:13 Andreas K. Hüttel
2018-12-28 19:40 Sergei Trofimovich
2018-12-20 22:50 Andreas K. Hüttel
2018-12-19 12:36 Andreas K. Hüttel
2018-12-14 23:52 Andreas K. Hüttel
2018-12-09 13:58 Andreas K. Hüttel
2018-12-08 18:03 Andreas K. Hüttel
2018-12-08 18:03 Andreas K. Hüttel
2018-10-06 11:27 Sergei Trofimovich
2018-09-25  7:37 Sergei Trofimovich
2018-09-21  7:00 Sergei Trofimovich
2018-08-27 13:17 Sergei Trofimovich
2018-08-07  9:45 Andreas Hüttel
2018-08-04 18:24 Andreas Hüttel
2018-07-18 15:04 Andreas Hüttel
2018-07-15 12:59 Andreas Hüttel
2018-06-29 22:10 Sergei Trofimovich
2018-06-13 22:10 Andreas Hüttel
2018-06-12 21:06 Andreas Hüttel
2018-05-19 17:21 Andreas Hüttel
2018-05-12 18:44 Sergei Trofimovich
2018-05-01 20:24 Andreas Hüttel
2018-04-30 11:35 Andreas Hüttel
2018-04-30 11:35 Andreas Hüttel
2018-02-11 21:10 Jeroen Roovers
2018-02-11 17:55 Jeroen Roovers
2018-01-29 20:11 Andreas Hüttel
2018-01-28 14:23 Andreas Hüttel
2017-12-27 22:30 Sergei Trofimovich
2017-10-19 21:23 Andreas Hüttel
2017-09-25 23:18 Sergei Trofimovich
2017-09-16  9:47 Sergei Trofimovich
2017-08-15  9:52 Jeroen Roovers
2017-06-07 14:33 Jeroen Roovers
2017-04-18 12:36 Jeroen Roovers
2017-03-05  0:54 Jeroen Roovers
2016-11-19 12:49 Jeroen Roovers
2016-07-24 16:45 Jeroen Roovers
2016-07-24 16:45 Jeroen Roovers
2015-09-30  3:50 Jeroen Roovers
2015-09-30  3:41 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1738790804.73b08f1f1ce21e57f2ddecf1e14d51bde4cf1cc8.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox